Page MenuHome

crash on "maximize window" (win32)
Closed, ArchivedPublic

Description

System Information

Device:
Wacom MobileStudio Pro

OS:
Windows 10 Pro (version 1803)

Graphic card:
Intel(R) Iris(R) Graphics 550
Driver Version: 23.20.16.4973
Operating System: Windows* 10 Pro (10.0.17134)
Physical Memory: 16200 MB
Vendor ID: 8086
Device ID: 1927
Device Revision: 0A
Graphics Output Protocol (GOP) Version: 9.0.1051
Current Resolution: 2560 x 1440

Processor: Intel(R) Core(TM) i7-6567U CPU @ 3.30GHz
Processor Speed: 3312 MHz
Processor Graphics in Use: Intel(R) Iris(R) Graphics 550
Shader Version: 5.1
OpenGL* Version: 4.5
OpenCL* Version: 2.1
Vulkan* Version: 1.0.66

  • Microsoft DirectX* *

Runtime Version: 12.0
Hardware-Supported Version: 12.0

Blender Version
Broken: 2.80 Alpha (sub 20), branch: blender2.8, commit date: 2018-07-06 18:22, hash: a6340a5, type: Release
build date: Sat 07/07/2018, 06:25 AM

Short description of error
Immediately after launching the program click at "maximize window" button to expand Blender and it crashes.
Tried several times.

Exact steps for others to reproduce the error

  1. Launch Blender.exe
  2. click on "maximize window" button

Details

Type
Bug

Event Timeline

Campbell Barton (campbellbarton) renamed this task from crash on "maximize window" to crash on "maximize window" (win32).Jul 10 2018, 9:59 AM

@Viktor (Vix) can you still reproduce the bug with the latest builds?

Yes. The latest version I tried was "blender-2.80-0f449541d2e-win64" - 2.80 Alpha Date:2018-07-31 23:01 ...…. and it still crash.

It happens with any of those - 1) I click at the "maximize button, 2) right click at the program window bar and choose "maximize" or 3) drag the blender window to the screen edge to maximize it at left/riht side or fullscreen (Windows "Aero Snap" function) and also by useing standart Windows shortcut "WIn key + Up Arrow".

The result is allways the same - after a slight delay - 1/2 - 1 sec. Blender disappears.

I also tried running blender.exe with "compatibility mode for Windows 8" and also with "disable fullscreen optimizations" checked on and "run as administrator" without luck.

I just noticed that the crash happens also if I rotate the screen from landscape to portret mode (the computer is mobile and support both modes)

Actually, Blender crashes if I try to shrink it's window too ! If I grab the program top-bar and move it around - everything is fine, but the moment I try to make it bigger or smaller by dragging some of the window's corners it crashes.

Unfortunately my other Windows machine is not around, to try it out on it, but when I get it back I will post the results.

Just to say, that Blender is still crashing with the latest 2.80 Alpha 2 version (downloaded on 31.10.2018)
Also, I'm unable to move the Blender window to a second monitor - the moment I try to drag it to the other monitor it crashes and disappears.
The only way to work on a second monitor is to open a new Main window, which automatically appears on my second display.

@Viktor (Vix) did you try updating you GPU driver? another report (T56760) mentioned that updating driver helps and manually disabling CMAA in the Driver's preferences fixed some very similar crash.

Yep! I can confirm that manually disabling CMAA ( "Conservative Morphological Anti-Aliasing" ) in Intel driver's settings is fixing the problem. No more crashing at maximizing and restoring Blender ! 8-)

Clément Foucault (fclem) closed this task as Archived.Nov 2 2018, 12:20 PM